<?

if (user_access('loads_file_edit')  && isset($_GET['act']) && $_GET['act']=='prop')
{
echo "<form class=\"foot\" action=\"?".url("d=$l&amp;act=prop&amp;ok&amp;f=$file&amp;page=$_SESSION[page]")."\" method=\"post\">";



if (function_exists('iconv'))$jfile=iconv('windows-1251', 'utf-8', $file);else $jfile=$file;

$name=preg_replace('#\.[^\.]*$#i', NULL, $jfile); // имя файла без расширения
$ras=strtolower(preg_replace('#^.*\.#i', NULL, $jfile)); // расширение (в нижнем регистре)

echo "Название файла на сервере:<br />\n";
echo "<input type=\"text\" name=\"name_serv\" value=\"$name\" />.<input type=\"text\" size='3' name=\"ras_serv\" value=\"$ras\" /><br />\n";



echo "Название файла в загрузках:<br />\n";
echo "<input type=\"text\" name=\"name_loads\" value=\"$name2\"/><br />\n";
echo "Описание файла:<br />\n";

$opis=NULL;
if (is_file($dir_loads.'/'.$file.'.opis')) // проверка описания
$opis = trim(esc(implode(NULL,file($dir_loads.'/'.$file.'.opis'))));
elseif (is_file($dir_loads.'/'.$file.'.txt')) // проверка описания в txt файле
$opis = trim(esc(implode(NULL,file($dir_loads.'/'.$file.'.txt'))));

//echo "<input type=\"text\" name=\"opis\" value=\"$opis\"/><br />\n";
echo "<textarea name='opis'>$opis</textarea><br />\n";

echo "<input class=\"submit\" type=\"submit\" value=\"Изменить\" /><br />\n";
echo "<a href=\"?".url("d=$l&amp;f=$file&amp;page=$_SESSION[page]")."\">Отмена</a><br />\n";
echo "</form>";
}

if (user_access('loads_file_delete') && isset($_GET['act']) && $_GET['act']=='delete')
{

echo "<div class=\"err\">";
echo "Подтвердите удаление файла?<br />\n";
echo "<a href=\"?".url("d=$l&amp;act=delete&amp;ok&amp;f=$file&amp;page=$_SESSION[page]")."\">Да</a> \n";
echo "<a href=\"?".url("d=$l&amp;f=$file&amp;page=$_SESSION[page]")."\">Нет</a><br />\n";
echo "</div>";
}



if (user_access('loads_file_edit') || user_access('loads_file_delete'))
{
echo "<div class=\"foot\">\n";
if (user_access('loads_file_edit'))
echo "&raquo;<a href=\"?".url("d=$l&amp;act=prop&amp;f=$file&amp;page=$_SESSION[page]")."\">Изменить параметры</a><br />\n";
if (user_access('loads_file_delete'))
echo "&raquo;<a href=\"?".url("d=$l&amp;act=delete&amp;f=$file&amp;page=$_SESSION[page]")."\">Удалить файл</a><br />\n";
echo "</div>\n";
}




?>